<?php

include_once dirname(__FILE__) . '/mo_wc_openid_sso_encryption.php';

ob_start();

require('view/config_apps/mo_openid_config_apps.php');
require('view/customise_social_icons/mo_openid_cust_icons.php');
require('view/disp_options/mo_openid_dispopt.php');
require('view/faq/mo_openid_faq.php');
require('view/integration/mo_openid_integrate.php');
require('view/privacy_policy/mo_openid_priv_pol.php');
require('view/redirect_options/mo_openid_redirect_op.php');
require('view/registration/mo_openid_registration.php');
require('view/soc_sha/soc_apps/mo_openid_sharing.php');
require('view/soc_sha/share_cnt/mo_openid_shrcnt.php');
require('view/soc_sha/cust_text/mo_openid_cust_shricon.php');
require('view/soc_sha/disp_shropt/mo_openid_disp_shropt.php');
require('view/soc_com/com_Cust/mo_openid_comm_cust.php');
require('view/soc_com/com_display_options/mo_openid_comm_disp_opt.php');
require('view/soc_com/com_select_app/mo_openid_comm_select_app.php');
require('view/soc_com/com_Enable/mo_openid_comm_enable.php');

function mo_wc_register_openid() {

    if( isset( $_GET[ 'tab' ]) && $_GET[ 'tab' ] !== 'register' ) {
        $active_tab = $_GET[ 'tab' ];
    } else {
        $active_tab = 'config_apps';
    }
    ?>

    <div>
        <table>
            <tr>
                <td><img id="logo" style="margin-top: 25px" src="<?php echo plugin_dir_url(__FILE__);?>includes/images/logo.png"></td>
                <td>&nbsp;<a style="text-decoration:none" href="https://plugins.miniorange.com/" target="_blank"><h1 style="color: #c9302c">Ecommerce Social Login &nbsp;</h1></a></td>
                <td> <a id="privacy" style="margin-top: 23px" class="button" <?php echo $active_tab == 'privacy_policy' ? 'nav-tab-active' : ''; ?>" href="<?php echo add_query_arg( array('tab' => 'privacy_policy'), $_SERVER['REQUEST_URI'] ); ?>">Privacy Policy</a></td>
                <td> <a id="faq" style="margin-top: 23px" class="button" <?php echo $active_tab == 'faq' ? 'nav-tab-active' : ''; ?> href="<?php echo add_query_arg( array('tab' => 'faq'), $_SERVER['REQUEST_URI'] ); ?>">FAQs</a></td>
            </tr>
        </table>
    </div>

    <div style="width: 100%" id="mo-main-content-div">
        <div id="mo_openid_menu_height" style="width: 15%; float: left; background-color: #32373C; border-radius: 15px 0px 0px 15px;">
            <div style="margin-top: 9px;border-bottom: 0px;text-align:center;">
                <div><img style="float:left;margin-left:8px;padding-top: 5px;" src="<?php echo plugins_url( 'includes/images/logo.png"', __FILE__ ); ?>"></div>
                <br>
                <span style="font-size:20px;color:white;float:left;">miniOrange</span>
            </div>
            <div class="mo_openid_tab" style="width:100%; border-radius: 0px 0px 0px 15px;">
                <a id="config_apps" class="tablinks<?php if($active_tab=="config_apps") echo '_active';?>" href="<?php echo add_query_arg( array('tab' => 'config_apps'), $_SERVER['REQUEST_URI'] ); ?>">Configure Apps</a>
                <a id="customise_social_icons" class="tablinks<?php if($active_tab=="customise_social_icons") echo '_active';?>" href="<?php echo add_query_arg( array('tab' => 'customise_social_icons'), $_SERVER['REQUEST_URI'] ); ?>">Customise Social Login Icons</a>
                <a id="disp_opt" class="tablinks<?php if($active_tab=="disp_opt") echo '_active';?>" href="<?php echo add_query_arg( array('tab' => 'disp_opt'), $_SERVER['REQUEST_URI'] ); ?>">Display Options</a>
                <a id="redirect_opt" class="tablinks<?php if($active_tab=="redirect_opt") echo '_active';?>" href="<?php echo add_query_arg( array('tab' => 'redirect_opt'), $_SERVER['REQUEST_URI'] ); ?>">Redirect Options</a>
                <a id="registration" class="tablinks<?php if($active_tab=="registration") echo '_active';?>" href="<?php echo add_query_arg( array('tab' => 'registration'), $_SERVER['REQUEST_URI'] ); ?>">Registration</a>
                <a id="woocommerce" class="tablinks<?php if($active_tab=="woocommerce") echo '_active';?>" href="<?php echo add_query_arg( array('tab' => 'woocommerce'), $_SERVER['REQUEST_URI'] ); ?>">Woocommerce</a>
            </div>
        </div>
        <style>
            body {font-family: Arial, Helvetica, sans-serif;}
        </style>
        <div id="mo_openid_settings" style="width: 85%; float: right;">
            <div style="background-color: #FFFFFF;width: 90%;border-radius: 0px 15px 15px 0px;">
                <div class="mo_container">
                    <h3 id="mo_openid_page_heading" class="mo_openid_highlight" style="color: white;margin: 0;padding: 23px;border-radius: 0px 15px 0px 0px;">&nbsp</h3>
                    <div id="mo_openid_msgs"></div>
                    <table style="width:100%;">
                        <tr>
                            <td style="vertical-align:top;">
                                <?php
                                switch ($active_tab){
                                    case 'licensing_plans':
                                        mo_wc_openid_licensing_plans();
                                        break;
                                    case 'config_apps':
                                        mo_wc_openid_show_apps();
                                        break;
                                    case 'customise_social_icons':
                                        mo_wc_openid_customise_social_icons();
                                        break;
                                    case 'disp_opt':
                                        mo_wc_openid_disp_opt();
                                        break;
                                    case 'redirect_opt':
                                        mo_wc_openid_redirect_opt();
                                        break;
                                    case 'registration':
                                        mo_wc_openid_registration();
                                        break;
                                    case 'faq':
                                        mo_wc_openid_faq();
                                        break;
                                    case 'privacy_policy':
                                        mo_wc_openid_privacy_policy();
                                        break;
                                    case 'woocommerce':
                                        mo_wc_openid_integrations();
                                        break;
                                }
                                ?>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>

    </div>

    <?php

}

function mo_wc_register_sharing_openid()
{
    if (isset($_GET['tab']) && $_GET['tab'] !== 'register') {
        $active_tab = $_GET['tab'];
    } else {
        $active_tab = 'soc_apps';
    }
    ?>

    <div>
        <table>
            <tr>
                <td><img id="logo" style="margin-top: 25px"
                         src="<?php echo plugin_dir_url(__FILE__); ?>includes/images/logo.png"></td>
                <td>&nbsp;<a style="text-decoration:none" href="https://plugins.miniorange.com/"
                             target="_blank"><h1 style="color: #c9302c">miniOrange Social Login</h1></a></td>
                <td> <a id="privacy" style="margin-top: 23px" class="button" <?php echo $active_tab == 'privacy_policy' ? 'nav-tab-active' : ''; ?>" href="<?php echo add_query_arg( array('tab' => 'privacy_policy'), $_SERVER['REQUEST_URI'] ); ?>">Privacy Policy</a></td>
                <td> <a id="faq" style="margin-top: 23px" class="button" <?php echo $active_tab == 'faq' ? 'nav-tab-active' : ''; ?> href="<?php echo add_query_arg( array('tab' => 'faq'), $_SERVER['REQUEST_URI'] ); ?>">FAQs</a></td>
                <td>
            </tr>
        </table>
    </div>
    <div style="width: 100%">

        <div style="width: 15%; float: left; background-color: #32373C; border-radius: 15px 0px 0px 15px;">
            <div style="height:54px;margin-top: 9px;border-bottom: 0px;text-align:center;">
                <div><img style="float:left;margin-left:8px;width: 43px;height: 45px;padding-top: 5px;"
                          src="<?php echo plugins_url('includes/images/logo.png"', __FILE__); ?>"></div>
                <br>
                <span style="font-size:20px;color:white;float:left;">miniOrange</span>
            </div>

            <div class="mo_openid_tab" style="min-height:395px;width:100%; height: 445px;border-radius: 0px 0px 0px 15px;">
                <a id="social_apps" class="tablinks<?php if ($active_tab == "soc_apps") echo '_active'; ?>"
                   href="<?php echo add_query_arg(array('tab' => 'soc_apps'), $_SERVER['REQUEST_URI']); ?>">Select
                    Social Apps</a>
                <a id="customization"
                   class="tablinks<?php if ($active_tab == "customization") echo '_active'; ?>"
                   href="<?php echo add_query_arg(array('tab' => 'customization'), $_SERVER['REQUEST_URI']); ?>">Customization
                </a>
                <a id="share_cnt" class="tablinks<?php if ($active_tab == "share_cnt") echo '_active'; ?>"
                   href="<?php echo add_query_arg(array('tab' => 'share_cnt'), $_SERVER['REQUEST_URI']); ?>">Social
                    Share Counts</a>

                <a id="display_opt" class="tablinks<?php if ($active_tab == "display_opt") echo '_active'; ?>"
                   href="<?php echo add_query_arg(array('tab' => 'display_opt'), $_SERVER['REQUEST_URI']); ?>">Display
                    Option</a>

            </div>
        </div>

        <div id="mo_openid_settings" style="width: 85%; float: right;">
            <div style="background-color: #FFFFFF;width: 90%;border-radius: 0px 15px 15px 0px;">
                <div class="mo_container">
                    <h3 id="mo_openid_page_heading" class="mo_openid_highlight" style="color: white;margin: 0;padding: 23px;border-radius: 0px 15px 0px 0px;">&nbsp</h3>
                    <div id="mo_openid_msgs"></div>
                    <table style="width:100%;">
                        <tr>
                            <td style="vertical-align:top;">
                                <?php
                                switch ($active_tab) {
                                    case 'soc_apps':
                                        mo_wc_openid_share_apps();
                                        break;
                                    case 'share_cnt':
                                        mo_wc_openid_share_cnt();
                                        break;
                                    case 'customization':
                                        mo_wc_openid_customize_icons();
                                        break;
                                    case 'display_opt':
                                        mo_wc_openid_display_share_opt();
                                        break;
                                    case 'licensing_plans':
                                        mo_wc_openid_licensing_plans();
                                        break;
                                    case 'faq':
                                        mo_wc_openid_faq();
                                        break;
                                    case 'privacy_policy':
                                        mo_wc_openid_privacy_policy();
                                        break;
                                }
                                ?>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <?php

}

function mo_wc_comment_openid() {
    if( isset( $_GET[ 'tab' ]) && $_GET[ 'tab' ] !== 'register' ) {
        $active_tab = $_GET[ 'tab' ];
    } else {
        $active_tab = 'select_applications';
    }
    ?>
    <div>

            <table>
                <tr>
                    <td><img id="logo" style="margin-top: 25px"
                             src="<?php echo plugin_dir_url(__FILE__); ?>includes/images/logo.png"></td>
                    <td>&nbsp;<a style="text-decoration:none" href="https://plugins.miniorange.com/"
                                 target="_blank"><h1 style="color: #c9302c">miniOrange Social Login</h1></a></td>
                    <td> <a id="privacy" style="margin-top: 23px" class="button" <?php echo $active_tab == 'privacy_policy' ? 'nav-tab-active' : ''; ?>" href="<?php echo add_query_arg( array('tab' => 'privacy_policy'), $_SERVER['REQUEST_URI'] ); ?>">Privacy Policy</a></td>
                    <td> <a id="faq" style="margin-top: 23px" class="button" <?php echo $active_tab == 'faq' ? 'nav-tab-active' : ''; ?> href="<?php echo add_query_arg( array('tab' => 'faq'), $_SERVER['REQUEST_URI'] ); ?>">FAQs</a></td>
                    <td>
                </tr>
            </table>

    </div>
    <div style="width: 100%">

        <div style="width: 15%; float: left; background-color: #32373C; border-radius: 15px 0px 0px 15px;">
            <div style="height:54px;margin-top: 9px;border-bottom: 0px;text-align:center;">
                <div><img style="float:left;margin-left:8px;width: 43px;height: 45px;padding-top: 5px;" src="<?php echo plugins_url( 'includes/images/logo.png"', __FILE__ ); ?>"></div>
                <br>
                <span style="font-size:20px;color:white;float:left;">miniOrange</span>
            </div>
            <div class="mo_openid_tab" style="min-height:395px;width:100%; height: 445px;border-radius: 0px 0px 0px 15px;">
                <a id="select_applications" class="tablinks<?php if($active_tab=="select_applications") echo '_active';?>" href="<?php echo add_query_arg( array('tab' => 'select_applications'), $_SERVER['REQUEST_URI'] ); ?>">Select Applications</a>
                <a id="display_options" class="tablinks<?php if($active_tab=="display_options") echo '_active';?>" href="<?php echo add_query_arg( array('tab' => 'display_options'), $_SERVER['REQUEST_URI'] ); ?>">Display options</a>
                <a id="customize_text" class="tablinks<?php if($active_tab=="customize_text") echo '_active';?>" href="<?php echo add_query_arg( array('tab' => 'customize_text'), $_SERVER['REQUEST_URI'] ); ?>">Customization</a>
                <a id="enable_comment" class="tablinks<?php if($active_tab=="enable_comment") echo '_active';?>" href="<?php echo add_query_arg( array('tab' => 'enable_comment'), $_SERVER['REQUEST_URI'] ); ?>">Enable and Add Social Comments</a>
            </div>
        </div>

        <div id="mo_openid_settings" style="width: 85%; float: right;">
            <div style="background-color: #FFFFFF;width: 90%;border-radius: 0px 15px 15px 0px;">
                <div class="mo_container">
                    <h3 id="mo_openid_page_heading" class="mo_openid_highlight" style="color: white;margin: 0;padding: 23px;border-radius: 0px 15px 0px 0px;">&nbsp</h3>
                    <div id="mo_openid_msgs"></div>
                    <table style="width:100%;">
                        <tr>
                            <td style="vertical-align:top;">
                                <?php
                                switch ($active_tab) {
                                    case 'select_applications':
                                        mo_wc_select_comment_app();
                                        break;
                                    case 'display_options':
                                        mo_wc_select_comment_disp();
                                        break;
                                    case 'customize_text':
                                        mo_wc_select_comment_customize();
                                        break;
                                    case 'enable_comment':
                                        mo_wc_select_comment_enable();
                                        break;
                                    case 'licensing_plans':
                                        mo_wc_openid_licensing_plans();
                                        break;
                                    case 'faq':
                                        mo_wc_openid_faq();
                                        break;
                                    case 'privacy_policy':
                                        mo_wc_openid_privacy_policy();
                                        break;
                                }
                                ?>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>


        </div></div>

    <script>
        function moSharingSizeValidate(e){
            var t=parseInt(e.value.trim());t>60?e.value=60:10>t&&(e.value=10)
        }
        function moSharingSpaceValidate(e){
            var t=parseInt(e.value.trim());t>50?e.value=50:0>t&&(e.value=0)
        }
        function moLoginSizeValidate(e){
            var t=parseInt(e.value.trim());t>60?e.value=60:20>t&&(e.value=20)
        }
        function moLoginSpaceValidate(e){
            var t=parseInt(e.value.trim());t>60?e.value=60:0>t&&(e.value=0)
        }
        function moLoginWidthValidate(e){
            var t=parseInt(e.value.trim());t>1000?e.value=1000:140>t&&(e.value=140)
        }
        function moLoginHeightValidate(e){
            var t=parseInt(e.value.trim());t>50?e.value=50:35>t&&(e.value=35)
        }
        jQuery(document).ready(function(){
            let sel = jQuery(".mo_support_input_container");
            sel.each(function(){
                if(jQuery(this).find(".mo_support_input").val() !== "")
                    jQuery(this).addClass("mo_has_value");
            });
            sel.focusout( function(){
                if(jQuery(this).find(".mo_support_input").val() !== "")
                    jQuery(this).addClass("mo_has_value");
                else jQuery(this).removeClass("mo_has_value");
            });
        });
    </script>

    <?php

}