<?php
function mo_wc_openid_integrations(){
    ?>
        <form style="margin-left: 1%">
            <table id="woocommerce_integration"><tr><td>
                        <p><b>If enabled, first name, last name and email are pre-filled in billing details of a user and on the Woocommerce checkout page.</b></p>
                        <label class="mo_openid_checkbox_container_disable"><strong>Sync Woocommerce checkout fields</strong>
                            <input  type="checkbox"/>
                            <span class="mo_openid_checkbox_checkmark_disable"></span>
                        </label>
                        <br>
                        <input disabled type="button" value="Save" class="button button-primary button-large" />
                        <br>
                    </td></tr></table>
        </form>
    <br/>
    <div class="mo_openid_highlight">
        <h3 style="margin-left: 2%;line-height: 210%;color: white;" id="mo_openid_send_email_user_collapse">WooCommerce Display Options</h3>
    </div><br/>
    <div style="height: auto; min-height: 350px">
        <form method="post" action="" class="mo_openid_table_layout">
            <input type="hidden" name="option" value="mo_openid_enable_woocommerce_display" />
            <input type="hidden" name="mo_openid_enable_woocommerce_display_nonce" value="<?php echo wp_create_nonce( 'mo-openid-enable-woocommerce-display-nonce' ); ?>"/>
            <div style="width:40%; float:left; margin-left: 1%; background:white; border: 1px transparent;">
                <b style="font-size:17px;">Login display options </b><br><br>
                <label class="mo_openid_checkbox_container">
                    <input type="checkbox" id="woocommerce_before_login_form" name="mo_openid_woocommerce_before_login_form" value="1" <?php checked( get_option('mo_openid_woocommerce_before_login_form') == 1 );?> />Before WooCommerce Login Form
                    <span class="mo_openid_checkbox_checkmark"></span>
                </label>

                <label class="mo_openid_checkbox_container_disable">Before 'Remember Me' of WooCommerce Login Form
                    <input type="checkbox"  /><br>
                    <span class="mo_openid_checkbox_checkmark_disable"></span>
                </label>
                <label class="mo_openid_checkbox_container_disable">After WooCommerce Login Form
                    <input type="checkbox"  /><br>
                    <span class="mo_openid_checkbox_checkmark_disable"></span>
                </label>

                <br/><b style="font-size:17px;">Checkout display options </b><br><br>
                <label class="mo_openid_checkbox_container_disable">Before WooCommerce Checkout Form
                    <input type="checkbox"  /><br>
                    <span class="mo_openid_checkbox_checkmark_disable"></span>
                </label>

                <label class="mo_openid_checkbox_container_disable">After WooCommerce Checkout Form
                    <input type="checkbox"  /><br>
                    <span class="mo_openid_checkbox_checkmark_disable"></span>
                </label>
            </div>
            <div style="width:50%; float:right; margin-left: 1%; background:white; border: 1px transparent;">
                <b style="font-size:17px;">Registration display options </b><br><br>
                <label class="mo_openid_checkbox_container">
                    <input type="checkbox" id="woocommerce_register_form_start" name="mo_openid_woocommerce_register_form_start" value="1" <?php checked( get_option('mo_openid_woocommerce_register_form_start') == 1 );?> />Before WooCommerce Registration Form
                    <span class="mo_openid_checkbox_checkmark"></span>
                </label>
                <label class="mo_openid_checkbox_container_disable">Before 'Register button' of WooCommerce Registration Form
                    <input type="checkbox"  /><br>
                    <span class="mo_openid_checkbox_checkmark_disable"></span>
                </label>

                <label class="mo_openid_checkbox_container_disable">After WooCommerce Registration Form
                    <input type="checkbox"  /><br>
                    <span class="mo_openid_checkbox_checkmark_disable"></span>
                </label>
            </div>
            <div style="height:available;display: inline; width:100%; background:white; float:right; border: 1px transparent; padding-bottom: 10px;"><br/><b style="padding: 10px"><input type="submit" name="submit" value="Save" style="width:150px;background-color:#0867b2;color:white;box-shadow:none;text-shadow: none;" class="button button-primary button-large" /></b></div>
        </form>
    </div>
    <br/>
    <div>
    </div>
    <script>
        //to set heading name
        jQuery('#mo_openid_page_heading').text('Woocommerce Integrations');
        var win_height = jQuery('#mo_openid_menu_height').height();
        jQuery(".mo_container").css({height:win_height});
    </script>
    <?php
}