<?php

function mo_wc_openid_privacy_policy(){ ?>
    <div class="mo_openid_table_layout">
        <table width="100%" style="padding-left: 20px">
            <tbody>
                <tr>
                    <td>
                        <p>If you are unable to open any section, press CTRL + F5 to clear cache.<p>
                        <h3><a  id="openid_question_plugin" class="mo_openid_title_panel" onclick="show_privacy_options(this.id)">
                                <span class="dashicons dashicons-arrow-right "></span>Terms used in this document</a></h3>
                        <div class="mo_openid_help_desc" hidden="" id="openid_question_plugin_desc">
                            <ol>
                                <li>Customer - Person who is registered with miniOrange and has installed the Social Login Plugin on his/her website  </li>
                                <li>End-user - Person who will log in to your site using social applications like Facebook,     Google, Twitter etc. </li>
                                <li>miniOrange - Company owning the Social Login Plugin. </li>
                                <li>Social Profile Data - Information like the first name, last name, email address etc. that is fetched from a social application like Facebook when end-user logs into the website</li>
                                <li>Website Administrator - Alias for Customer </li>
                            </ol>
                        </div>
                        <hr>
                    </td>
                </tr>
                <tr>
                    <td>
                        <h3><a  id="openid_question_email" class="mo_openid_title_panel" onclick="show_privacy_options1(this.id)">
                                <span class="dashicons dashicons-arrow-right"></span>Introduction</a></h3>
                        <div class="mo_openid_help_desc" hidden="" id="openid_question_email_desc">
                            <div  id="openid_question20_desc">
                                We protect your personal information using industry ­standard safeguards. We may share your information only with your consent or as required by law as detailed in this policy, and we will always let you know when we make significant changes to this Privacy Policy. Maintaining your trust is our top priority, so we adhere to the following principles to protect your privacy:
                                <br><br>
                                We protect your personal information and will only provide it to third parties:
                                <ol>
                                    <li>with your consent;  </li>
                                    <li>where it is necessary to carry out your instructions; </li>
                                    <li>as reasonably necessary in order to provide our features and functionality to you;  </li>
                                    <li>when we reasonably believe it is required by law, subpoena or other legal process; or </li>
                                    <li>as necessary to enforce our User Agreement or protect the rights, property, or safety of miniOrange, its Customers and End users,
                                        and the public. </li>
                                </ol>
                            </div><br/>
                        </div>
                        <hr>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    </div>
    <script>
        //to set heading name
        jQuery('#mo_openid_page_heading').text('Privacy Policy');

        function show_privacy_options(click_id){
            var span = jQuery('#' + click_id).find('span').attr('class');
            if (span.includes('dashicons-arrow-right')){
                jQuery('#openid_question_plugin').find('span').removeClass( "dashicons-arrow-right" );
                jQuery('#openid_question_plugin').find('span').addClass( "dashicons-arrow-down" );
            }
            else if(span.includes('dashicons-arrow-down')) {
                jQuery('#openid_question_plugin').find('span').removeClass( "dashicons-arrow-down" );
                jQuery('#openid_question_plugin').find('span').addClass( "dashicons-arrow-right" );
            }
        }
        function show_privacy_options1(click_id){
            var span = jQuery('#' + click_id).find('span').attr('class');
            if (span.includes('dashicons-arrow-right')){
                jQuery('#openid_question_email').find('span').removeClass( "dashicons-arrow-right" );
                jQuery('#openid_question_email').find('span').addClass( "dashicons-arrow-down" );
            }
            else if(span.includes('dashicons-arrow-down')) {
                jQuery('#openid_question_email').find('span').removeClass( "dashicons-arrow-down" );
                jQuery('#openid_question_email').find('span').addClass( "dashicons-arrow-right" );
            }
        }
    </script>
    <div style="min-height:169px;"></div>
    <?php
}